RK-A - Task #1897

Skip the repeating KPs within 50 words according to new scheme
11/17/2021 08:40 AM - Nandini Bansal

Status: Resolved Start date: 11/17/2021
Priority: Normal Due date:

Assignee: Rohit Choudhary % Done: 0%
Category: Estimated time: 2.50 hours
Description

The repeating KPs within 50 words should be skipped as per the new scheme:

If multiple instances of the same KP are tagged within the threshold (50 words) like k1, k2, k3 (same order)
Case 1) if sk1 < sk2 < sk3, only k3 will be tagged

Case 2) if sk1 < sk2 = sk3, both k2 & k3 will be tagged

Case 3) if sk1 > sk2 >= sk3, only k1 will be tagged

Case 4) if sk1 < sk2 >= sk3, only k2 will be tagged

Note: skn = sim_score of kn

The case where sim_scores will be the same for all KPs will be handled in a different ticket. Changes to be done in
"check_repetition_multi_occurence" function

History

#1 - 11/22/2021 08:36 AM - Nandini Bansal
- Assignee set to Rohit Choudhary

#2 - 12/14/2021 11:56 AM - Rohit Choudhary

- Status changed from New to In Progress

#3 - 12/29/2021 05:30 AM - Rohit Choudhary

- Status changed from In Progress to Resolved
